{% load wagtailcore_tags %}

<div class="filters">
    <div id="" class="filter">
        <a href="/?tag=all"><button class="tag tag-all" type="button">tudo</button></a>
    </div>
    {% for tag in tags %}
        {% if tag.tags__name %}
        <div class="filter">
            <a href="/?tag={{ tag.tags__name }}"><button class="tag {{tag.tags__name}}" type="button">{{ tag.tags__name }}</button></a>
        </div>
        {% endif %}
{% endfor %}
</div>

{% block javascript %}
<script charset="utf-8">
    try {
        let tag = decodeURI(window.location.href.split("?")[1].split("=")[1]);
        let btn = window.document.querySelector(`.${tag}.tag`);
        btn.classList.add('selected');       
    } catch {
        let btn = window.document.querySelector(`.tag-all`);
        btn.classList.add('selected'); 
    }
</script>
{% endblock %}
